import java.util.*;
import java.io.*;

public class ATM {
	static Bank bnk;
	PrintStream out;
	BufferedReader in;
	ATM(PrintStream out, BufferedReader in) {
		this.out = out;
		this.in = in;
	}
	
	public static void main(String[] args) {
		bnk = Bank.getbank();
		bnk.createAccount("Laila", "1234", 200);
		bnk.createAccount("Mohammed", "0000", 250);
		bnk.createAccount("Ammar", "password", 275);
		BufferedReader	stdin = new BufferedReader(new InputStreamReader(System.in));
		ATM atm = new ATM(System.out, stdin);
		atm.run();
	} 

	public void run() {
		while(true) {
			try {
				out.print("Account ID > ");
				String id = in.readLine();
				Account acc = bnk.get(id);				
				if (acc == null) throw new Exception();
				
				out.print("Password > ");
				String pass = in.readLine();
				if (!acc.is_password(pass)) throw new Exception();				
				out.println("your balance is " + acc.getbal());
				
				out.print("Deposit or withdraw amount > ");				
				int val = Integer.parseInt(in.readLine());
				if (acc.getbal() + val > 0)
					acc.post(val);
				else throw new Exception();
				
				out.println("your balance is " + acc.getbal());
			} catch(Exception e) {
				out.println("Invalid input, restart");
			}
		}
	}
}