import java.io.*;

public class ATMs extends Thread {
	
	static final int numATMs = 4;
	static Bank bnk;
	PrintStream out;
	BufferedReader in;
	int atmnum;
	
	ATMs(int num, PrintStream out, BufferedReader in) {
			this.in = in;
			this.out = out;
			this.atmnum = num; 
	}

	public static void main(String[] args) {
		bnk = Bank.getbank();
		bnk.createAccount("Laila", "1234", 200);
		bnk.createAccount("Mohammed", "0000", 250);
		bnk.createAccount("Ammar", "password", 275);		
		ATMs atm[] = new ATMs[numATMs]; 
		for(int i=0; i<numATMs; i++){
			atm[i] = new ATMs(i, outdevice(i), indevice(i));
			atm[i].start(); 
		}
	} 

	public void run() {
		while(true) {
			try {
				out.print("Account ID > ");
				String id = in.readLine();
				Account acc = bnk.get(id);				
				if (acc == null) throw new Exception();
				
				out.print("Password > ");
				String pass = in.readLine();
				if (!acc.is_password(pass)) throw new Exception();				
				out.println("your balance is " + acc.getbal());
				
				out.print("Deposit or withdraw amount > ");				
				int val = Integer.parseInt(in.readLine());
				if (acc.getbal() + val > 0)
					acc.post(val);
				else throw new Exception();
				
				out.println("your balance is " + acc.getbal());
			} catch(Exception e) {
				out.println("Invalid input, restart");
			}
		}
	}
}
