import java.util.*;
public class Account {
	String id;
	String password;
	int balance;
	
	Account(String id, String password, int balance) {
		this.id = id;
		this.password = password;
		this.balance = balance;
	}
	
	boolean is_password(String password) {
		return password.equals(this.password);
	}
	
	int getbal() {
		return balance;
	}

	void post(int v) {
		balance = balance + v;
	}
	
	public boolean transfer(Account from, Account to, int val) {
		synchronized(from) {
			if (from.getbal() > val)
				from.post(-val);
			else
				return false;
			synchronized(to) {
				to.post(val);
			}
			return true;
		}
	}
} 