
public class Account2 {
	String id;
	String password;
	int balance;
	static int count = 0;
	public int rank;
	
	Account2(String id, String password, int balance) {
		this.id = id;
		this.password = password;
		this.balance = balance;
		rank = count++; 
	}
	
	boolean is_password(String password) {
		return password.equals(this.password);
	}
	
	int getbal() {
		return balance;
	}

	void post(int v) {
		balance = balance + v;
	}
	
	public boolean transfer(Account2 from, Account2 to, int val) {
		Account2 first = (from.rank > to.rank)? from : to;
		Account2 second = (from.rank > to.rank)? to: from; 		
		synchronized(first) {
			synchronized(second) {
				if (from.getbal() > val)
					from.post(-val);
				else {
					return false;
				}
				to.post(val);
				return true;
			}
		}
	}
}